---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

id: bitcoin-core-contribute-tech-support
lang: en
layout: base-core
columns: 1
title: Support - Contribute to Bitcoin Core
breadcrumbs:
  - bitcoin
  - bcc
  - bcc contribute
  - Support
---
# Supporting Bitcoin Core Users

This site tells Bitcoin Core users where they can [go to find help][bcc
help]---but that help is provided by volunteers like you. Many questions
are asked by complete newbies, so nearly everyone with any experience
using Bitcoin Core can provide help.

Before you start providing support, you may want to familiarize yourself
with the available [documentation][bcc documentation].

## Forums

The following forums are where we believe most users ask their Bitcoin
Core questions.

- [Bitcoin StackExchange][] is a community dedicated entirely to
  answering questions about Bitcoin and related technology.  Many
  questions about Bitcoin Core can be found under the [Bitcoin-Qt
  tag][bitcoin stackexchange tag bitcoin-qt]

- [BitcoinTalk Technical Support][forum tech support] is a
  sub-forum dedicated to providing help for Bitcoin Core and other
  Bitcoin programs.

- [/r/Bitcoin][bitcoin reddit] is a Reddit community that occasionally
  features questions about Bitcoin Core. Currently, very few questions
  receive enough upvotes to be featured on the front page, but you can
  always check the [new queue][bitcoin reddit new] or answer questions
  on the popular Mentor Monday thread (usually posted around noon UTC
  on Monday).

- [/r/BitcoinBeginners][bitcoin beginners] is a Reddit community that
  prominently features questions from inexperienced Bitcoin users.

## Live

Internet Relay Chat (IRC) is the most popular way to get live online
help with Bitcoin Core.  When providing links to documentation, most
chatrooms require you post full links (not links shortened using
services like TinyURL or Bit.ly).

The links below will get you started using an IRC web interface.  Many
serious IRC users use a [native IRC client][].

- [#bitcoin][] is where most users should ask general questions about
  Bitcoin Core.

- [#bitcoin-mining][] hosts discussion about Bitcoin mining, including
  decentralized mining using Bitcoin Core as part of the system.

- For more channels, please see the [comprehensive
  listing][irc channels] on the Bitcoin Wiki.

<br class="clear big">
<div class="prevnext">
<span markdown="1">**Previous**<br>[Translations][bcc contribute translations]</span>
<span markdown="1">**Next**<br>[Contribute overview][bcc contribute]</span>
</div>
<br class="clear">

{% include references.md %}
