---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

id: bitcoin-core-donate-bandwidth
layout: base-core
lang: en
columns: 1
title: Support The Network - Bitcoin Core Features
breadcrumbs:
  - bitcoin
  - bcc
  - bcc features
  - Network Support
---
# Donate Bandwidth Using Bitcoin Core
{:.not-displayed}

![Support the network](/img/bitcoin-core/slider-network.svg)

{% include bitcoin-core/download-bitcoin-core.html %}

The Bitcoin peer-to-peer network serves both Bitcoin Core and many other
Bitcoin programs (mostly lightweight wallets).  By contributing some of
your bandwidth---typically about 100 GB upload a month---you can help
support Bitcoin.

The [bandwidth sharing guide][] provides all of the details you need
to begin donating bandwidth.

## Don't Forget About Decentralization

The Bitcoin network needs more than bandwidth---it also needs people who
[actively secure][bcc validation do you validate] their bitcoins using Bitcoin Core. By
securing your bitcoins with a full node like Bitcoin Core, you [help
protect Bitcoin's decentralization][bcc validation decentralization] for
yourself and other Bitcoin users.

You can help protect decentralization instead of donating bandwidth by
simply using Bitcoin Core as your main wallet. Or, even better, you can
both donate bandwidth and protect decentralization at the same time by
using Bitcoin Core as your main wallet while also following the
instructions in the [bandwidth sharing guide][].

## Thank You

Whether you choose to donate bandwidth, protect decentralization, or
both, please know that your fellow Bitcoin users thank you. Without
volunteers like you, Bitcoin would never have come as far as it has.


<br class="clear big">
<div class="prevnext">
<span markdown="1">**Previous Feature**<br>[User interface][bcc user interface]</span>
<span markdown="1">**Next feature**<br>[Feature overview][bcc features]</span>
</div>
<br class="clear">

{% include references.md %}
